DiagnosticsManager (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.info
Class DiagnosticsManager

    java.lang.Object
      org.neo4j.kernel.info.DiagnosticsManager

All Implemented Interfaces:
  Iterable<DiagnosticsProvider>, Lifecycle

    public final class DiagnosticsManager

extends Object
implements Iterable<DiagnosticsProvider>, Lifecycle

Constructor Summary
`DiagnosticsManager(org.neo4j.kernel.impl.util.StringLogger logger)`

Method Summary
`void` | `appendProvider(DiagnosticsProvider provider)`
`static
`<T> Visitor<? super T>`
` | `castToGenericVisitor(Class<T> type, Object visitor)`
`void` | `dump(String identifier)`
`void` | `dumpAll()`
`void` | `extract(String identifier, org.neo4j.kernel.impl.util.StringLogger log)`
`org.neo4j.kernel.impl.util.StringLogger` | `getTargetLog()`
`void` | `init()`
`Iterator<DiagnosticsProvider>` | `iterator()`
`void` | `prependProvider(DiagnosticsProvider provider)`
`
`<T> void`
` | `register(DiagnosticsExtractor<T> extractor, T source)`
`
`<T,E extends Enum<E> & DiagnosticsExtractor<T>> void`
` | `registerAll(Class<E> extractorEnum, T source)`
`void` | `shutdown()`
`void` | `start()`
`void` | `stop()`
`
`<T> T`
` | `tryAppendProvider(T protentialProvider)`
`void` | `visitAll(Object visitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagnosticsManager

    public DiagnosticsManager(org.neo4j.kernel.impl.util.StringLogger logger)

Method Detail

### castToGenericVisitor

    public static final <T> Visitor<? super T> castToGenericVisitor(Class<T> type,
                                                                    Object visitor)

### init

    public void init()
              throws Throwable

  Specified by:
    `init` in interface `Lifecycle`
  Throws:
    `Throwable`

### start

    public void start()

  Specified by:
    `start` in interface `Lifecycle`

### stop

    public void stop()
              throws Throwable

  Specified by:
    `stop` in interface `Lifecycle`
  Throws:
    `Throwable`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `Lifecycle`

### getTargetLog

    public org.neo4j.kernel.impl.util.StringLogger getTargetLog()

### dumpAll

    public void dumpAll()

### dump

    public void dump(String identifier)

### extract

    public void extract(String identifier,
                        org.neo4j.kernel.impl.util.StringLogger log)

### visitAll

    public void visitAll(Object visitor)

### register

    public <T> void register(DiagnosticsExtractor<T> extractor,
                             T source)

### tryAppendProvider

    public <T> T tryAppendProvider(T protentialProvider)

### registerAll

    public <T,E extends Enum<E> & DiagnosticsExtractor<T>> void registerAll(Class<E> extractorEnum,
                                                                           T source)

### prependProvider

    public void prependProvider(DiagnosticsProvider provider)

### appendProvider

    public void appendProvider(DiagnosticsProvider provider)

### iterator

    public Iterator<DiagnosticsProvider> iterator()

  Specified by:
    `iterator` in interface `Iterable<DiagnosticsProvider>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.